Bug 973902 - [EAP610 development guide translation to Japanese] 14.8.2. Configure Java Authorization Contract for Containers (JACC) Security
[EAP610 development guide translation to Japanese] 14.8.2. Configure Java Aut...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jito
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 01:35 EDT by Hisanobu Okuda
Modified: 2013-06-18 20:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.10 Build Name: 11864, Development Guide-6.1-3 Build Date: 23-05-2013 03:02:03 Topic ID: 31439-441808 [Specified]
Last Closed: 2013-06-18 20:44:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisanobu Okuda 2013-06-13 01:35:04 EDT
Title: JACC (Java Authorization Contract for Containers) のセキュリティーの設定

Describe the issue:
Web アプリケーションと同様にセキュリティードメインを使用して EJB の認証および承認メカニズムを制約することも可能です。セキュリティードメインは <security> 子要素の jboss-ejb3.xml 記述子に宣言されます。セキュリティードメインの他に、EJB が実行されるプリンシパルを変更するrun-as プリンシパル を指定することもできます。 

Suggestions for improvement:
Web アプリケーションと同様にセキュリティードメインを使用して EJB の認証および承認メカニズムを 指定 することも可能です。セキュリティードメインは <security> 子要素の jboss-ejb3.xml 記述子に宣言されます。セキュリティードメインの他に、EJB が実行されるプリンシパルを変更するrun-as プリンシパル を指定することもできます。 

Additional information:
Comment 1 jito 2013-06-17 01:56:49 EDT
Correction made for Chapter 13.8.2. in EAP 6.0, as 6.1 has not been published yet.  This will be fixed for the next release.
Comment 2 jito 2013-06-17 21:39:33 EDT
The same correction made for 6.1, which has not been published.

Note You need to log in before you can comment on or make changes to this bug.